Module javafx.fxml
Package javafx.fxml

## Class JavaFXBuilderFactory

- java.lang.Object
- - javafx.fxml.JavaFXBuilderFactory

- All Implemented Interfaces:
    `BuilderFactory`

      public final class JavaFXBuilderFactory
      extends Object
      implements BuilderFactory

  JavaFX builder factory.
  Since:
    JavaFX 2.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaFXBuilderFactory()` | Default constructor.
    `JavaFXBuilderFactory​(ClassLoader classLoader)` | Constructor that takes a class loader.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Builder<?>` | `getBuilder​(Class<?> type)` | Returns the builder for the specified type, or null if no builder is used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaFXBuilderFactory

          public JavaFXBuilderFactory()

      Default constructor.

    - #### JavaFXBuilderFactory

          public JavaFXBuilderFactory​(ClassLoader classLoader)

      Constructor that takes a class loader.
      Parameters:
        `classLoader` - the class loader to use when loading classes
      Since:
        JavaFX 2.1

  - ### Method Detail

    - #### getBuilder

          public Builder<?> getBuilder​(Class<?> type)

      Returns the builder for the specified type, or null if no builder is used. Most classes will note use a builder.
      Specified by:
        `getBuilder` in interface `BuilderFactory`
      Parameters:
        `type` - the class being looked up
      Returns:
        the builder for the class, or null if no builder is used